/* This file is part of AHD Subtitles Maker Professional
   A program can create and edit subtitles

   Copyright © Ala I Hadid 2009 - 2012

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace AHD.SM
{
    public partial class Frm_StartUp : Form
    {
        string[] Args;
        public Frm_StartUp(string[] Args)
        {
            InitializeComponent();
            this.Args = Args;
            label_version.Text = Program.ResourceManager.GetString("Version") + " " + Program.Version;
        }
        private void Frm_StartUp_Shown(object sender, EventArgs e)
        {
            timer1.Start();
        }
        private void timer1_Tick(object sender, EventArgs e)
        {
            timer1.Stop();
            //first run
            if (!Program.Settings.FirstRun)
            {
                Frm_FirstRun frm = new Frm_FirstRun();
                frm.ShowDialog(this);
            }
            //Main form
            Program.MainForm = new Frm_Main(Args);
            Program.MainForm.Show();
            //Quick Start
            if (Program.Settings.ShowQuickStart)
                Program.MainForm.ShowQuickStart();
            //Tip of the day
            if (Program.Settings.ShowTipOfDay)
                Program.MainForm.ShowTipOfTheDay();
            Close();
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Application.Exit();
        }

        private void Frm_StartUp_Paint(object sender, PaintEventArgs e)
        {

        }
    }
}
